/*
 * @Author: mojunshou 1637302775@qq.com
 * @Date: 2025-03-19 18:02:51
 * @LastEditors: mojunshou 1637302775@qq.com
 * @LastEditTime: 2025-03-19 18:38:24
 * @Description: 隐私挽留弹窗
 */
import { game } from 'cc';
import { _decorator, Component, Node } from 'cc';
import { GameComponent } from 'db://oops-framework/module/common/GameComponent';
const { ccclass, property } = _decorator;

@ccclass('RetentionView')
export class RetentionView extends GameComponent {
    start() {
        this.setButton();
    }

    private btn_agree() {
        console.log("同意");
        //调用安卓给权限
    }

    private btn_disagree() {
        console.log("不同意");
        game.end();
    }
}


